# -*- encoding: utf-8 -*-
#
=begin
Apache Felix WebConsole

Client for Apache Felix Web Console API. List bundles, configure services, etc.

OpenAPI spec version: 4.3.0
Contact: bryan.stopp@gmail.com
Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end

$:.push File.expand_path("../lib", __FILE__)
require "apache_felix_webconsole_client/version"

Gem::Specification.new do |s|
  s.name        = "apache_felix_webconsole_client"
  s.version     = ApacheFelix::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Bryan Stopp"]
  s.email       = ["bryan.stopp@gmail.com"]
  s.homepage    = "https://github.com/bstopp/apache-felix-webconsole-client-gem"
  s.summary     = "Apache Felix WebConsole Client"
  s.description = "Client for Apache Felix Web Console API. List bundles, configure services, etc."
  s.license     = "Apache-2.0"
  s.required_ruby_version = ">= 1.9"

  s.add_runtime_dependency 'typhoeus', '~> 1.0', '>= 1.0.1'
  s.add_runtime_dependency 'json', '~> 1.8', '>= 1.8.0'

  s.add_development_dependency 'rspec', '~> 3.4', '>= 3.4.0'
  s.add_development_dependency 'vcr', '~> 3.0', '>= 3.0.1'
  s.add_development_dependency 'webmock', '~> 2.3', '>= 2.3.1'
  s.add_development_dependency 'autotest', '~> 4.4', '>= 4.4.6'
  s.add_development_dependency 'autotest-rails-pure', '~> 4.1', '>= 4.1.2'
  s.add_development_dependency 'autotest-growl', '~> 0.2', '>= 0.2.16'
  s.add_development_dependency 'autotest-fsevent', '~> 0.2', '>= 0.2.11'

  s.add_development_dependency 'rubocop', '~>0'
  s.add_development_dependency 'simplecov', '~>0'
  s.add_development_dependency 'codeclimate-test-reporter', '~>0'

  s.files         = `find *`.split("\n").uniq.sort.select{|f| !f.empty? && !f.end_with?('.gem') }
  s.test_files    = `find spec/*`.split("\n")
  s.executables   = []
  s.require_paths = ["lib"]
end
